Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 27 Nov 2014, 10:39
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
How to Install CUPS 1.3.9 in Puppy 4.2.x [Updated]
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Author Message
rcrsn51


Joined: 05 Sep 2006
Posts: 9260
Location: Stratford, Ontario

PostPosted: Wed 01 Apr 2009, 14:09    Post subject:  How to Install CUPS 1.3.9 in Puppy 4.2.x [Updated]  

[Updated] Read here instead.

For HPLIP devices, try the following:

1. Go here and install Patriot's hplipfw-p42-3.9.2-i486.

2. Then go here and install the cupsddk-1.2.3-i486.pet.

---------------------------------------------------------------------------------------------------------
[These are the original instructions]

1. Go here and get the CUPS 1.3.9 stable release package. Download it but do not install it yet.

2. Go here and get the cupsd.conf.zip download at the bottom of the page. Unzip it.

3. Go to a console and type:
Code:
 /etc/init.d/cups stop

4. Create a temporary folder needed by CUPS. Type:
Code:
mkdir /var/cache

Before continuing, verify that the folder /var/cache has been created. (If you have upgraded an existing pup_save file, you may already have this folder.)

5. Install the cups-1.3.9-i486.pet
You don't need to restart your computer.

6. Copy the file cupsd.conf from Step 2 into the folder /etc/cups. This will eliminate the annoying "woofwoof" logins.

7. Type:
Code:
/etc/init.d/cups start

8. Run the CUPS Printer Wizard and install a printer. Print a test page.

If your printer uses HPIJS, you must also do the following:

9. Install the HPIJS driver from the Puppy Package Manager. It is listed in the System category as hpijs-2.8.2_static-1.

10. Go to the folder /usr/lib/cups/filter
Locate the file foomatic-rip-hplip and open it in a text editor
Change the top line to #!/usr/bin/perl -U

11. Restart CUPS with
Code:
/etc/init.d/cups restart
[/url]
Last edited by rcrsn51 on Thu 14 May 2009, 08:09; edited 8 times in total
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Wed 01 Apr 2009, 15:05    Post subject:  

What would I gain by changing the CUPS in 4.2 please? Does 1.3.9 offer any advantages over 1.4? Specifically, does it cure the problem of CUPS hanging when trying to modify a printer?
_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9260
Location: Stratford, Ontario

PostPosted: Wed 01 Apr 2009, 15:13    Post subject:  

Yes. And some other strange behaviours disappear too. Based on very limited testing, the combination of CUPS 1.3.9 and the other printing components in 4.2 looks stable.
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Wed 01 Apr 2009, 16:42    Post subject:  

rcrsn51 wrote:
Yes. And some other strange behaviours disappear too. Based on very limited testing, the combination of CUPS 1.3.9 and the other printing components in 4.2 looks stable.


OK. I followed your instructions with complete success. I can now modify my printer instead of having to re-install it when my router goes down due to power cut (its an HP Photosmart c4380 wifi printer) and assigns it a different ip address. The test page is different and seems better defined.
There were some install differences as I had previously installed Patriots(?) files to even get it to print at all, so /var/cache was already on my system.
The whole root/woofwoof thing has gone too. Thanks a million for this.
Mind, CUPS 1.42b can autodetect my printer, but 1.3.9 cannot.

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Wed 01 Apr 2009, 18:14    Post subject:  

Dont work in 4.1.1 though Smile
_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9260
Location: Stratford, Ontario

PostPosted: Thu 02 Apr 2009, 09:40    Post subject:  

Glad to hear that it's working. Your problem with back-porting to 4.1 may be a kernel issue.

So far, I've tested this with usb, smb and socket protocols, and with the HPIJS driver (using the -U fix). They all appear to be solid. And cupsd is running happily at 0% CPU.
Back to top
View user's profile Send private message 
jakfish

Joined: 18 Jul 2008
Posts: 757

PostPosted: Thu 02 Apr 2009, 10:33    Post subject:  

Hi, rcrsn51,

I'm still having a bear of a time getting any CUPS past 4.1.2's 1.1.23 version to work with the no-bling 4.2/4.1.2 pup_save file.

Your fine instructions/files in the post made CUPS work for a while, but after a couple of re-boots, I lost printing both via usb and samba (in CUPS 1.39, samba choice is now "unknown network").

Clearly, there's a problem with 4.1.2 pup_save and 4.2.

I have uninstalled all possible CUPS and tried to install 1.1.23, which does NOT install. My searching tells me that's because an updated samba version in 4.2 renders 1.1.23 obsolete. Is that correct?

If not, is it possible to install CUPS 1.1.23 in PL 4.2?

Thanks,
Jake
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9260
Location: Stratford, Ontario

PostPosted: Thu 02 Apr 2009, 10:54    Post subject:  

The problem with Linux printing is that there are so many interconnected parts - Ghostscript, Foomatic, Gutenprint, CUPS, etc. And they are not necessarily mix-and-match. Ttuuxxx did an excellent job getting them to mesh in 4.2. So I have no opinion on whether CUPS 1.1.23 can be installed into 4.2.

Is your current problem specifically with your "no-bling" version? Where did it come from? Can you still print in your full version?

Things that used to work and then stop working are always difficult to analyse.
Back to top
View user's profile Send private message 
jakfish

Joined: 18 Jul 2008
Posts: 757

PostPosted: Thu 02 Apr 2009, 13:53    Post subject:  

I figured it would be complicated. Since the full version is complicated in itself on the eee's small screen, I haven't much played with it and my 4.1.2 pup_save file.

I should go do that, though I was dismayed to discover that despite your great CUPS build and even better instructions, that printing eventually quit nonetheless in my eee. I wonder if that might not happen with the full version. I'll have to play with it and see.

Your explanation of how many moving parts Linux uses for printing is eye-opening. No wonder so many people have problems, and DIFFERENT problems. That's what makes even researching the causes so difficult.

So I'm much obliged for your help,
Jake
Back to top
View user's profile Send private message 
w6kkt

Joined: 31 Mar 2009
Posts: 6
Location: Port Angeles, Washington

PostPosted: Fri 03 Apr 2009, 17:54    Post subject: How to Install CUPS 1.3.9 in Puppy 4.2
Subject description: HPC3100
 

rcrsn51, I followed your instructions and now my HPC3100 works great in Puppy4.2. My printer worked great using Puppy4.12, but when I upgraded to Puppy4.2 I could not get it to print, no matter how hard I tried. I think the hpijs driver is the same for both distros, so it must be the later Cups 1.3.9 that did it.
Many,many thanks

_________________
Respectfully,
Jesse "distro Jockey"

Intel e8600 @ 4ghz
Gigabyte EP45-UD3R mb
ZeroTherm Nirvana NV-120 heatsink
8g E.Skill ram 4,4,4,16
2x160g hard drives
PC Pwr Cooling 750w pwr
Evga GTX 260-216 graphics
Back to top
View user's profile Send private message 
ecomoney


Joined: 25 Nov 2005
Posts: 2183
Location: Lincolnshire, England

PostPosted: Fri 03 Apr 2009, 18:25    Post subject:  

thanks for reporting this...maybe something to consider for 4.2.1
_________________
Puppy Linux's Mission

Sorry, my server is down atm!
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
w6kkt

Joined: 31 Mar 2009
Posts: 6
Location: Port Angeles, Washington

PostPosted: Sat 04 Apr 2009, 13:07    Post subject: How to Install CUPS 1.3.9 in Pup4.2
Subject description: Cups 1.4 okay now
 

rcrsn51, I wanted to find out why Cups 1.4/Puppy4.2 combo did not work with my HPC3100. I compared Cups 1.4 & 1.3.9 foomatic-rip-hplip files for differences. What I found was: "-U" was left out at the end of /usr/bin/perl file in Cups1.4. When I deleted the "-U" from 1.3.9 my printer stopped working. My fix for Puppy4.2 / Cups1.4 was to edit and add -U to to the end of #!/usr/bin/perl -U . Printing now works great using Puppy4.2/cups1.4, like it did when I was using Puppy4.12/cups1.3.9.

rcrcn51, thanks again, your post has helped much.

_________________
Respectfully,
Jesse "distro Jockey"

Intel e8600 @ 4ghz
Gigabyte EP45-UD3R mb
ZeroTherm Nirvana NV-120 heatsink
8g E.Skill ram 4,4,4,16
2x160g hard drives
PC Pwr Cooling 750w pwr
Evga GTX 260-216 graphics
Back to top
View user's profile Send private message 
WhoDo


Joined: 11 Jul 2006
Posts: 4441
Location: Lake Macquarie NSW Australia

PostPosted: Sat 04 Apr 2009, 19:27    Post subject: Re: How to Install CUPS 1.3.9 in Pup4.2
Subject description: Cups 1.4 okay now
 

w6kkt wrote:
I compared Cups 1.4 & 1.3.9 foomatic-rip-hplip files for differences. What I found was: "-U" was left out at the end of /usr/bin/perl file in Cups1.4. When I deleted the "-U" from 1.3.9 my printer stopped working. My fix for Puppy4.2 / Cups1.4 was to edit and add -U to to the end of #!/usr/bin/perl -U . Printing now works great using Puppy4.2/cups1.4, like it did when I was using Puppy4.12/cups1.3.9.

I'd like to implement this in CUPS-1.4.2 for the next release of Puppy-4.2.x but I can't find specifically where the change needs to be made. Can you humour an ignorant old man and be more specific about the file that needs the -U added to that line, please? Thanks in anticipation. Cool{Marge, get me another Duff while I'm watchin' the WWE here!} Razz

_________________
Actions speak louder than words ... and they usually work when words don't!
SIP:whodo@proxy01.sipphone.com; whodo@realsip.com
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9260
Location: Stratford, Ontario

PostPosted: Sat 04 Apr 2009, 19:49    Post subject:  

The file in question is contained in the various HPIJS/HPLIP printer driver packages. See Step 9 above. It is not part of Puppy 4.2 proper.

The need for the patch is explained in Patriot's CUPS 1.3.9 thread. Ultimately, it will be the responsibility of the maintainers of those packages to upgrade them.
Quote:
I'd like to implement this in CUPS-1.4.2

Unless you have privileged information, there is no such thing. CUPS has been stuck on 1.4 Beta 2 since December.
Back to top
View user's profile Send private message 
w6kkt

Joined: 31 Mar 2009
Posts: 6
Location: Port Angeles, Washington

PostPosted: Sat 04 Apr 2009, 21:20    Post subject: How to Install Cups 1.3.9 in Puppy 4.2
Subject description: pup4.2 & cups 1.4
 

WhoDo, File location: /usr/lib/cups/filter/foomatic-rip-hplip.
Edit top line to read; #!/usr/bin/perl -U

Puppy4.2 & Cups 1.4 on my computer left out the "-U"

_________________
Respectfully,
Jesse "distro Jockey"

Intel e8600 @ 4ghz
Gigabyte EP45-UD3R mb
ZeroTherm Nirvana NV-120 heatsink
8g E.Skill ram 4,4,4,16
2x160g hard drives
PC Pwr Cooling 750w pwr
Evga GTX 260-216 graphics
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0832s ][ Queries: 11 (0.0039s) ][ GZIP on ]